"""
Transforms multiple Lines into an Area.
Automatically will be asked where to save the ROIs.
"""

from ij import IJ
from ij.io import FileSaver
from ij.plugin.frame import RoiManager


# Instatiate ROIManager and load current ROIManager into it. If there is none, just open one so that it does not crash.
rm = RoiManager.getInstance()
if rm == None:
	rm = RoiManager()

# Iterates over all ROIs and performs "Line to Area".
roi_count = len(rm.getRoisAsArray())
for idx in range(0,roi_count):
	roi = rm.getRoi(idx)
	rm.select(idx)  # only the actively selected ROIs will work with IJ.commands (I think)
	IJ.run("Line to Area")
	rm.runCommand("Update")

# Save the ROI Set to a selected directory.
rm.deselect()
path = IJ.getDirectory("Select directory to save RoiSet.zip file")
rm.runCommand("Save", path + "RoiSet.zip")

print "Done\n"